X (Twitter)
Connect to X (Twitter) to read and post tweets and read user data.
Authentication
| Method | Kind | Status | Details |
|---|---|---|---|
| OAuth 2.0 | oauth2 | available | — |
Call a tool
import { createClient } from "@open-connector/sdk";const oc = createClient({ baseUrl: "https://api.openconnector.dev", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await oc.executeTool({ slug: "TWITTER_ACTIVITY_STREAM", connectedAccountId: "conn_...", arguments: { /* match this tool's input schema */ },});import Composio from "@composio/client";const composio = new Composio({ baseURL: "https://api.openconnector.dev/composio", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await composio.tools.execute("TWITTER_ACTIVITY_STREAM", { connected_account_id: "conn_...", arguments: { /* match this tool's input schema */ },});oc tools execute TWITTER_ACTIVITY_STREAM --data '{ }'Tool catalog
Available tools
165 callable operations
Activity StreamTWITTER_ACTIVITY_STREAMStream of X ActivitiesConnection
Stream of X Activities
Authentication
Connected account requiredTags
Add members to a Chat group conversationTWITTER_ADD_CHAT_GROUP_MEMBERSAdds one or more members to an existing encrypted Chat group conversation, rotating the conversation key.Connection3 scopes
Adds one or more members to an existing encrypted Chat group conversation, rotating the conversation key.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Add Conversation KeysTWITTER_ADD_CONVERSATION_KEYSAdds (initializes or rotates) the encryption keys for a Chat conversation. Call this before sending messages in a new 1:1 conversation, and again with a newer key version to rotate the conversation key. For 1:1 conversations, provide the recipient's user ID as the conversation_id. The server constructs the canonical conversation ID from the authenticated user and recipient. The request body must contain the conversation key version and participant keys (the conversation key encrypted for each participant using their public key). **Workflow (new 1:1 conversation):** 1. Generate a conversation key using the SDK 2. Encrypt the key for both participants using their public keys 3. Call this endpoint to register the keys 4. Send messages using `POST /chat/conversations/{id}/messages` To rotate the keys of an existing conversation, repeat the same call with a newer conversation key version. **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scopes: `tweet.read`, `users.read`, `dm.write`Connection3 scopes
Adds (initializes or rotates) the encryption keys for a Chat conversation. Call this before sending messages in a new 1:1 conversation, and again with a newer key version to rotate the conversation key. For 1:1 conversations, provide the recipient's user ID as the conversation_id. The server constructs the canonical conversation ID from the authenticated user and recipient. The request body must contain the conversation key version and participant keys (the conversation key encrypted for each participant using their public key). **Workflow (new 1:1 conversation):** 1. Generate a conversation key using the SDK 2. Encrypt the key for both participants using their public keys 3. Call this endpoint to register the keys 4. Send messages using `POST /chat/conversations/{id}/messages` To rotate the keys of an existing conversation, repeat the same call with a newer conversation key version. **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scopes: `tweet.read`, `users.read`, `dm.write`
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Add List memberTWITTER_ADD_LISTS_MEMBERAdds a User to a specific List by its ID.Connection3 scopes
Adds a User to a specific List by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Add public keyTWITTER_ADD_USER_PUBLIC_KEYRegisters a user's public key for X Chat encryption.Connection3 scopes
Registers a user's public key for X Chat encryption.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Append Media uploadTWITTER_APPEND_MEDIA_UPLOADAppends data to a Media upload request.Connection1 scope
Appends data to a Media upload request.
Authentication
Connected account requiredScopes
media.writeTags
Create draft ArticleTWITTER_ARTICLE_CREATE_DRAFTCreates a new Article draft that can later be published.Connection1 scope
Creates a new Article draft that can later be published.
Authentication
Connected account requiredScopes
tweet.writeTags
Publish ArticleTWITTER_ARTICLE_PUBLISHPublishes a draft Article, making it publicly visible.Connection1 scope
Publishes a draft Article, making it publicly visible.
Authentication
Connected account requiredScopes
tweet.writeTags
Block DMsTWITTER_BLOCK_USERS_DMSBlocks direct messages to or from a specific User by their ID for the authenticated user.Connection3 scopes
Blocks direct messages to or from a specific User by their ID for the authenticated user.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Download Chat MediaTWITTER_CHAT_MEDIA_DOWNLOADDownloads encrypted media bytes from an XChat conversation. The response body contains raw binary bytes. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.Connection1 scope
Downloads encrypted media bytes from an XChat conversation. The response body contains raw binary bytes. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
Authentication
Connected account requiredScopes
media.writeTags
Append Chat Media UploadTWITTER_CHAT_MEDIA_UPLOAD_APPENDAppends media data to an XChat upload session.Connection1 scope
Appends media data to an XChat upload session.
Authentication
Connected account requiredScopes
media.writeTags
Finalize Chat Media UploadTWITTER_CHAT_MEDIA_UPLOAD_FINALIZEFinalizes an XChat media upload session.Connection1 scope
Finalizes an XChat media upload session.
Authentication
Connected account requiredScopes
media.writeTags
Initialize Chat Media UploadTWITTER_CHAT_MEDIA_UPLOAD_INITIALIZEInitializes an XChat media upload session.Connection1 scope
Initializes an XChat media upload session.
Authentication
Connected account requiredScopes
media.writeTags
Create subscriptionTWITTER_CREATE_ACCOUNT_ACTIVITY_SUBSCRIPTIONCreates an Account Activity subscription for the user and the given webhook.Connection4 scopes
Creates an Account Activity subscription for the user and the given webhook.
Authentication
Connected account requiredScopes
dm.readdm.writetweet.readusers.readTags
Create X activity subscriptionTWITTER_CREATE_ACTIVITY_SUBSCRIPTIONCreates a subscription for an X activity eventConnection3 scopes
Creates a subscription for an X activity event
Authentication
Connected account requiredScopes
dm.readlike.readtweet.readTags
Create Chat Group ConversationTWITTER_CREATE_CHAT_CONVERSATIONCreates a new encrypted Chat group conversation on behalf of the authenticated user.Connection3 scopes
Creates a new encrypted Chat group conversation on behalf of the authenticated user.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Create a Community NoteTWITTER_CREATE_COMMUNITY_NOTESCreates a community note endpoint for LLM use case.Connection1 scope
Creates a community note endpoint for LLM use case.
Authentication
Connected account requiredScopes
tweet.writeTags
Create Compliance JobTWITTER_CREATE_COMPLIANCE_JOBSCreates a new Compliance Job for the specified job type.Connection
Creates a new Compliance Job for the specified job type.
Authentication
Connected account requiredTags
Create DM message by conversation IDTWITTER_CREATE_DIRECT_MESSAGES_BY_CONVERSATION_IDSends a new direct message to a specific conversation by its ID.Connection3 scopes
Sends a new direct message to a specific conversation by its ID.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Create DM message by participant IDTWITTER_CREATE_DIRECT_MESSAGES_BY_PARTICIPANT_IDSends a new direct message to a specific participant by their ID.Connection3 scopes
Sends a new direct message to a specific participant by their ID.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Create DM conversationTWITTER_CREATE_DIRECT_MESSAGES_CONVERSATIONInitiates a new direct message conversation with specified participants.Connection3 scopes
Initiates a new direct message conversation with specified participants.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Create ListTWITTER_CREATE_LISTSCreates a new List for the authenticated user.Connection4 scopes
Creates a new List for the authenticated user.
Authentication
Connected account requiredScopes
list.readlist.writetweet.readusers.readTags
Create Media metadataTWITTER_CREATE_MEDIA_METADATACreates metadata for a Media file.Connection1 scope
Creates metadata for a Media file.
Authentication
Connected account requiredScopes
media.writeTags
Create Media subtitlesTWITTER_CREATE_MEDIA_SUBTITLESCreates subtitles for a specific Media file.Connection1 scope
Creates subtitles for a specific Media file.
Authentication
Connected account requiredScopes
media.writeTags
Create or Edit PostTWITTER_CREATE_POSTSCreates a new Post for the authenticated user, or edits an existing Post when edit_options are provided. Supports paid partnership disclosure via the paid_partnership field.Connection3 scopes
Creates a new Post for the authenticated user, or edits an existing Post when edit_options are provided. Supports paid partnership disclosure via the paid_partnership field.
Authentication
Connected account requiredScopes
tweet.readtweet.writeusers.readTags
Create BookmarkTWITTER_CREATE_USERS_BOOKMARKAdds a post to the authenticated user’s bookmarks.Connection3 scopes
Adds a post to the authenticated user’s bookmarks.
Authentication
Connected account requiredScopes
bookmark.writetweet.readusers.readTags
Create replay job for webhookTWITTER_CREATE_WEBHOOK_REPLAY_JOBCreates a replay job to retrieve events from up to the past 24 hours for all events delivered or attempted to be delivered to the webhook.Connection
Creates a replay job to retrieve events from up to the past 24 hours for all events delivered or attempted to be delivered to the webhook.
Authentication
Connected account requiredTags
Create webhookTWITTER_CREATE_WEBHOOKSCreates a new webhook configuration.Connection
Creates a new webhook configuration.
Authentication
Connected account requiredTags
Create stream linkTWITTER_CREATE_WEBHOOKS_STREAM_LINKCreates a link to deliver FilteredStream events to the given webhook.Connection
Creates a link to deliver FilteredStream events to the given webhook.
Authentication
Connected account requiredTags
Delete subscriptionTWITTER_DELETE_ACCOUNT_ACTIVITY_SUBSCRIPTIONDeletes an Account Activity subscription for the given webhook and user ID.Connection
Deletes an Account Activity subscription for the given webhook and user ID.
Authentication
Connected account requiredTags
Deletes X activity subscriptionTWITTER_DELETE_ACTIVITY_SUBSCRIPTIONDeletes a subscription for an X activity eventConnection
Deletes a subscription for an X activity event
Authentication
Connected account requiredTags
Delete X activity subscriptions by IDsTWITTER_DELETE_ACTIVITY_SUBSCRIPTIONS_BY_IDSDeletes multiple subscriptions for X activity events by their IDsConnection
Deletes multiple subscriptions for X activity events by their IDs
Authentication
Connected account requiredTags
Terminate all connectionsTWITTER_DELETE_ALL_CONNECTIONSTerminates all active streaming connections for the authenticated application.Connection
Terminates all active streaming connections for the authenticated application.
Authentication
Connected account requiredTags
Delete a Community NoteTWITTER_DELETE_COMMUNITY_NOTESDeletes a community note.Connection1 scope
Deletes a community note.
Authentication
Connected account requiredScopes
tweet.writeTags
Terminate connections by endpointTWITTER_DELETE_CONNECTIONS_BY_ENDPOINTTerminates all streaming connections for a specific endpoint ID for the authenticated application.Connection
Terminates all streaming connections for a specific endpoint ID for the authenticated application.
Authentication
Connected account requiredTags
Terminate multiple connectionsTWITTER_DELETE_CONNECTIONS_BY_UUIDSTerminates multiple streaming connections by their UUIDs for the authenticated application.Connection
Terminates multiple streaming connections by their UUIDs for the authenticated application.
Authentication
Connected account requiredTags
Delete DM eventTWITTER_DELETE_DIRECT_MESSAGES_EVENTSDeletes a specific direct message event by its ID, if owned by the authenticated user.Connection2 scopes
Deletes a specific direct message event by its ID, if owned by the authenticated user.
Authentication
Connected account requiredScopes
dm.readdm.writeTags
Delete ListTWITTER_DELETE_LISTSDeletes a specific List owned by the authenticated user by its ID.Connection3 scopes
Deletes a specific List owned by the authenticated user by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Delete Media subtitlesTWITTER_DELETE_MEDIA_SUBTITLESDeletes subtitles for a specific Media file.Connection1 scope
Deletes subtitles for a specific Media file.
Authentication
Connected account requiredScopes
media.writeTags
Delete PostTWITTER_DELETE_POSTSDeletes a specific Post by its ID, if owned by the authenticated user.Connection3 scopes
Deletes a specific Post by its ID, if owned by the authenticated user.
Authentication
Connected account requiredScopes
tweet.readtweet.writeusers.readTags
Delete BookmarkTWITTER_DELETE_USERS_BOOKMARKRemoves a Post from the authenticated user’s Bookmarks by its ID.Connection3 scopes
Removes a Post from the authenticated user’s Bookmarks by its ID.
Authentication
Connected account requiredScopes
bookmark.writetweet.readusers.readTags
Delete webhookTWITTER_DELETE_WEBHOOKSDeletes an existing webhook configuration.Connection
Deletes an existing webhook configuration.
Authentication
Connected account requiredTags
Delete stream linkTWITTER_DELETE_WEBHOOKS_STREAM_LINKDeletes a link from FilteredStream events to the given webhook.Connection
Deletes a link from FilteredStream events to the given webhook.
Authentication
Connected account requiredTags
Download DM MediaTWITTER_DM_CONVERSATIONS_MEDIA_DOWNLOADDownloads media attached to a legacy Direct Message. The requesting user must be a participant in the conversation containing the specified DM event. The response body contains raw binary bytes.Connection1 scope
Downloads media attached to a legacy Direct Message. The requesting user must be a participant in the conversation containing the specified DM event. The response body contains raw binary bytes.
Authentication
Connected account requiredScopes
dm.readTags
Evaluate a Community NoteTWITTER_EVALUATE_COMMUNITY_NOTESEndpoint to evaluate a community note.Connection1 scope
Endpoint to evaluate a community note.
Authentication
Connected account requiredScopes
tweet.writeTags
Finalize Media uploadTWITTER_FINALIZE_MEDIA_UPLOADFinalizes a Media upload request.Connection1 scope
Finalizes a Media upload request.
Authentication
Connected account requiredScopes
media.writeTags
Follow ListTWITTER_FOLLOW_LISTCauses the authenticated user to follow a specific List by its ID.Connection3 scopes
Causes the authenticated user to follow a specific List by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Follow UserTWITTER_FOLLOW_USERCauses the authenticated user to follow a specific user by their ID.Connection3 scopes
Causes the authenticated user to follow a specific user by their ID.
Authentication
Connected account requiredScopes
follows.writetweet.readusers.readTags
Get subscription countTWITTER_GET_ACCOUNT_ACTIVITY_SUBSCRIPTION_COUNTRetrieves a count of currently active Account Activity subscriptions.Connection
Retrieves a count of currently active Account Activity subscriptions.
Authentication
Connected account requiredTags
Get subscriptionsTWITTER_GET_ACCOUNT_ACTIVITY_SUBSCRIPTIONSRetrieves a list of all active subscriptions for a given webhook.Connection
Retrieves a list of all active subscriptions for a given webhook.
Authentication
Connected account requiredTags
Get X activity subscriptionsTWITTER_GET_ACTIVITY_SUBSCRIPTIONSGet a list of active subscriptions for XAAConnection2 scopes
Get a list of active subscriptions for XAA
Authentication
Connected account requiredScopes
like.readtweet.readTags
Get Chat ConversationTWITTER_GET_CHAT_CONVERSATIONReturns metadata for a Chat conversation including type, muted status, and group details. Use chat_conversation.fields to select which fields are returned. Use expansions to hydrate member, admin, or participant user objects. Use user.fields to control which profile fields are returned for expanded users.Connection3 scopes
Returns metadata for a Chat conversation including type, muted status, and group details. Use chat_conversation.fields to select which fields are returned. Use expansions to hydrate member, admin, or participant user objects. Use user.fields to control which profile fields are returned for expanded users.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get Chat Conversation EventsTWITTER_GET_CHAT_CONVERSATION_EVENTSRetrieves messages and key change events for a specific Chat conversation with pagination support. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.Connection3 scopes
Retrieves messages and key change events for a specific Chat conversation with pagination support. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get Chat ConversationsTWITTER_GET_CHAT_CONVERSATIONSRetrieves a list of Chat conversations for the authenticated user's inbox.Connection2 scopes
Retrieves a list of Chat conversations for the authenticated user's inbox.
Authentication
Connected account requiredScopes
dm.readusers.readTags
Get Community by IDTWITTER_GET_COMMUNITIES_BY_IDRetrieves details of a specific Community by its ID.Connection3 scopes
Retrieves details of a specific Community by its ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get Compliance JobsTWITTER_GET_COMPLIANCE_JOBSRetrieves a list of Compliance Jobs filtered by job type and optional status.Connection
Retrieves a list of Compliance Jobs filtered by job type and optional status.
Authentication
Connected account requiredTags
Get Compliance Job by IDTWITTER_GET_COMPLIANCE_JOBS_BY_IDRetrieves details of a specific Compliance Job by its ID.Connection
Retrieves details of a specific Compliance Job by its ID.
Authentication
Connected account requiredTags
Get Connection HistoryTWITTER_GET_CONNECTION_HISTORYReturns active and historical streaming connections with disconnect reasons for the authenticated application.Connection
Returns active and historical streaming connections with disconnect reasons for the authenticated application.
Authentication
Connected account requiredTags
Get DM eventsTWITTER_GET_DIRECT_MESSAGES_EVENTSRetrieves a list of recent direct message events across all conversations.Connection3 scopes
Retrieves a list of recent direct message events across all conversations.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get DM events for a DM conversationTWITTER_GET_DIRECT_MESSAGES_EVENTS_BY_CONVERSATION_IDRetrieves direct message events for a specific conversation.Connection3 scopes
Retrieves direct message events for a specific conversation.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get DM event by IDTWITTER_GET_DIRECT_MESSAGES_EVENTS_BY_IDRetrieves details of a specific direct message event by its ID.Connection3 scopes
Retrieves details of a specific direct message event by its ID.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get DM events for a DM conversationTWITTER_GET_DIRECT_MESSAGES_EVENTS_BY_PARTICIPANT_IDRetrieves direct message events for a specific conversation.Connection3 scopes
Retrieves direct message events for a specific conversation.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get historical Post insightsTWITTER_GET_INSIGHTS_HISTORICALRetrieves historical engagement metrics for specified Posts within a defined time range.Connection1 scope
Retrieves historical engagement metrics for specified Posts within a defined time range.
Authentication
Connected account requiredScopes
tweet.readTags
Get 28-hour Post insightsTWITTER_GET_INSIGHTS28_HRRetrieves engagement metrics for specified Posts over the last 28 hours.Connection1 scope
Retrieves engagement metrics for specified Posts over the last 28 hours.
Authentication
Connected account requiredScopes
tweet.readTags
Get List by IDTWITTER_GET_LISTS_BY_IDRetrieves details of a specific List by its ID.Connection3 scopes
Retrieves details of a specific List by its ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get List followersTWITTER_GET_LISTS_FOLLOWERSRetrieves a list of Users who follow a specific List by its ID.Connection3 scopes
Retrieves a list of Users who follow a specific List by its ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get List membersTWITTER_GET_LISTS_MEMBERSRetrieves a list of Users who are members of a specific List by its ID.Connection3 scopes
Retrieves a list of Users who are members of a specific List by its ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get List PostsTWITTER_GET_LISTS_POSTSRetrieves a list of Posts associated with a specific List by its ID.Connection3 scopes
Retrieves a list of Posts associated with a specific List by its ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get Media analyticsTWITTER_GET_MEDIA_ANALYTICSRetrieves analytics data for media.Connection1 scope
Retrieves analytics data for media.
Authentication
Connected account requiredScopes
tweet.readTags
Get Media by media keyTWITTER_GET_MEDIA_BY_MEDIA_KEYRetrieves details of a specific Media file by its media key.Connection1 scope
Retrieves details of a specific Media file by its media key.
Authentication
Connected account requiredScopes
tweet.readTags
Get Media by media keysTWITTER_GET_MEDIA_BY_MEDIA_KEYSRetrieves details of Media files by their media keys.Connection1 scope
Retrieves details of Media files by their media keys.
Authentication
Connected account requiredScopes
tweet.readTags
Get Media upload statusTWITTER_GET_MEDIA_UPLOAD_STATUSRetrieves the status of a Media upload by its ID.Connection1 scope
Retrieves the status of a Media upload by its ID.
Authentication
Connected account requiredScopes
media.writeTags
Get news stories by IDTWITTER_GET_NEWSRetrieves news story by its ID.Connection2 scopes
Retrieves news story by its ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get OpenAPI Spec.TWITTER_GET_OPEN_API_SPECRetrieves the full OpenAPI Specification in JSON format. (See https://github.com/OAI/OpenAPI-Specification/blob/master/README.md)Connection
Retrieves the full OpenAPI Specification in JSON format. (See https://github.com/OAI/OpenAPI-Specification/blob/master/README.md)
Authentication
Connected account requiredTags
Get Post analyticsTWITTER_GET_POSTS_ANALYTICSRetrieves analytics data for specified Posts within a defined time range.Connection2 scopes
Retrieves analytics data for specified Posts within a defined time range.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get Post by IDTWITTER_GET_POSTS_BY_IDRetrieves details of a specific Post by its ID.Connection2 scopes
Retrieves details of a specific Post by its ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get Posts by IDsTWITTER_GET_POSTS_BY_IDSRetrieves details of multiple Posts by their IDs.Connection2 scopes
Retrieves details of multiple Posts by their IDs.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get count of all PostsTWITTER_GET_POSTS_COUNTS_ALLRetrieves the count of Posts matching a search query from the full archive.Connection
Retrieves the count of Posts matching a search query from the full archive.
Authentication
Connected account requiredTags
Get count of recent PostsTWITTER_GET_POSTS_COUNTS_RECENTRetrieves the count of Posts from the last 7 days matching a search query.Connection
Retrieves the count of Posts from the last 7 days matching a search query.
Authentication
Connected account requiredTags
Get Liking UsersTWITTER_GET_POSTS_LIKING_USERSRetrieves a list of Users who liked a specific Post by its ID.Connection3 scopes
Retrieves a list of Users who liked a specific Post by its ID.
Authentication
Connected account requiredScopes
like.readtweet.readusers.readTags
Get Quoted PostsTWITTER_GET_POSTS_QUOTED_POSTSRetrieves a list of Posts that quote a specific Post by its ID.Connection2 scopes
Retrieves a list of Posts that quote a specific Post by its ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get Reposted byTWITTER_GET_POSTS_REPOSTED_BYRetrieves a list of Users who reposted a specific Post by its ID.Connection2 scopes
Retrieves a list of Users who reposted a specific Post by its ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get RepostsTWITTER_GET_POSTS_REPOSTSRetrieves a list of Posts that repost a specific Post by its ID.Connection2 scopes
Retrieves a list of Posts that repost a specific Post by its ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get stream rule countsTWITTER_GET_RULE_COUNTSRetrieves the count of rules in the active rule set for the filtered stream.Connection
Retrieves the count of rules in the active rule set for the filtered stream.
Authentication
Connected account requiredTags
Get stream rulesTWITTER_GET_RULESRetrieves the active rule set or a subset of rules for the filtered stream.Connection
Retrieves the active rule set or a subset of rules for the filtered stream.
Authentication
Connected account requiredTags
Get Space ticket buyersTWITTER_GET_SPACES_BUYERSRetrieves a list of Users who purchased tickets to a specific Space by its ID.Connection3 scopes
Retrieves a list of Users who purchased tickets to a specific Space by its ID.
Authentication
Connected account requiredScopes
space.readtweet.readusers.readTags
Get Spaces by creator IDsTWITTER_GET_SPACES_BY_CREATOR_IDSRetrieves details of Spaces created by specified User IDs.Connection3 scopes
Retrieves details of Spaces created by specified User IDs.
Authentication
Connected account requiredScopes
space.readtweet.readusers.readTags
Get space by IDTWITTER_GET_SPACES_BY_IDRetrieves details of a specific space by its ID.Connection3 scopes
Retrieves details of a specific space by its ID.
Authentication
Connected account requiredScopes
space.readtweet.readusers.readTags
Get Spaces by IDsTWITTER_GET_SPACES_BY_IDSRetrieves details of multiple Spaces by their IDs.Connection3 scopes
Retrieves details of multiple Spaces by their IDs.
Authentication
Connected account requiredScopes
space.readtweet.readusers.readTags
Get Space PostsTWITTER_GET_SPACES_POSTSRetrieves a list of Posts shared in a specific Space by its ID.Connection3 scopes
Retrieves a list of Posts shared in a specific Space by its ID.
Authentication
Connected account requiredScopes
space.readtweet.readusers.readTags
Get Trends by WOEIDTWITTER_GET_TRENDS_BY_WOEIDRetrieves trending topics for a specific location identified by its WOEID.Connection
Retrieves trending topics for a specific location identified by its WOEID.
Authentication
Connected account requiredTags
Get personalized TrendsTWITTER_GET_TRENDS_PERSONALIZED_TRENDSRetrieves personalized trending topics for the authenticated user.Connection2 scopes
Retrieves personalized trending topics for the authenticated user.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get usageTWITTER_GET_USAGERetrieves usage statistics for Posts over a specified number of days.Connection
Retrieves usage statistics for Posts over a specified number of days.
Authentication
Connected account requiredTags
Get affiliatesTWITTER_GET_USERS_AFFILIATESRetrieves a list of Users who are affiliated with a specific organization User by their ID.Connection2 scopes
Retrieves a list of Users who are affiliated with a specific organization User by their ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get blockingTWITTER_GET_USERS_BLOCKINGRetrieves a list of Users blocked by the specified User ID.Connection3 scopes
Retrieves a list of Users blocked by the specified User ID.
Authentication
Connected account requiredScopes
block.readtweet.readusers.readTags
Get Bookmark foldersTWITTER_GET_USERS_BOOKMARK_FOLDERSRetrieves a list of Bookmark folders created by the authenticated user.Connection2 scopes
Retrieves a list of Bookmark folders created by the authenticated user.
Authentication
Connected account requiredScopes
bookmark.readusers.readTags
Get BookmarksTWITTER_GET_USERS_BOOKMARKSRetrieves a list of Posts bookmarked by the authenticated user.Connection3 scopes
Retrieves a list of Posts bookmarked by the authenticated user.
Authentication
Connected account requiredScopes
bookmark.readtweet.readusers.readTags
Get Bookmarks by folder IDTWITTER_GET_USERS_BOOKMARKS_BY_FOLDER_IDRetrieves Posts in a specific Bookmark folder by its ID for the authenticated user.Connection3 scopes
Retrieves Posts in a specific Bookmark folder by its ID for the authenticated user.
Authentication
Connected account requiredScopes
bookmark.readtweet.readusers.readTags
Get User by IDTWITTER_GET_USERS_BY_IDRetrieves details of a specific User by their ID.Connection2 scopes
Retrieves details of a specific User by their ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get Users by IDsTWITTER_GET_USERS_BY_IDSRetrieves details of multiple Users by their IDs.Connection2 scopes
Retrieves details of multiple Users by their IDs.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get User by usernameTWITTER_GET_USERS_BY_USERNAMERetrieves details of a specific User by their username.Connection2 scopes
Retrieves details of a specific User by their username.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get Users by usernamesTWITTER_GET_USERS_BY_USERNAMESRetrieves details of multiple Users by their usernames.Connection2 scopes
Retrieves details of multiple Users by their usernames.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get followed ListsTWITTER_GET_USERS_FOLLOWED_LISTSRetrieves a list of Lists followed by a specific User by their ID.Connection3 scopes
Retrieves a list of Lists followed by a specific User by their ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get followersTWITTER_GET_USERS_FOLLOWERSRetrieves a list of Users who follow a specific User by their ID.Connection3 scopes
Retrieves a list of Users who follow a specific User by their ID.
Authentication
Connected account requiredScopes
follows.readtweet.readusers.readTags
Get followingTWITTER_GET_USERS_FOLLOWINGRetrieves a list of Users followed by a specific User by their ID.Connection3 scopes
Retrieves a list of Users followed by a specific User by their ID.
Authentication
Connected account requiredScopes
follows.readtweet.readusers.readTags
Get liked PostsTWITTER_GET_USERS_LIKED_POSTSRetrieves a list of Posts liked by a specific User by their ID.Connection3 scopes
Retrieves a list of Posts liked by a specific User by their ID.
Authentication
Connected account requiredScopes
like.readtweet.readusers.readTags
Get List membershipsTWITTER_GET_USERS_LIST_MEMBERSHIPSRetrieves a list of Lists that a specific User is a member of by their ID.Connection3 scopes
Retrieves a list of Lists that a specific User is a member of by their ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get my UserTWITTER_GET_USERS_MERetrieves details of the authenticated user.Connection2 scopes
Retrieves details of the authenticated user.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get mentionsTWITTER_GET_USERS_MENTIONSRetrieves a list of Posts that mention a specific User by their ID.Connection2 scopes
Retrieves a list of Posts that mention a specific User by their ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get mutingTWITTER_GET_USERS_MUTINGRetrieves a list of Users muted by the authenticated user.Connection3 scopes
Retrieves a list of Users muted by the authenticated user.
Authentication
Connected account requiredScopes
mute.readtweet.readusers.readTags
Get owned ListsTWITTER_GET_USERS_OWNED_LISTSRetrieves a list of Lists owned by a specific User by their ID.Connection3 scopes
Retrieves a list of Lists owned by a specific User by their ID.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get pinned ListsTWITTER_GET_USERS_PINNED_LISTSRetrieves a list of Lists pinned by the authenticated user.Connection3 scopes
Retrieves a list of Lists pinned by the authenticated user.
Authentication
Connected account requiredScopes
list.readtweet.readusers.readTags
Get PostsTWITTER_GET_USERS_POSTSRetrieves a list of posts authored by a specific User by their ID.Connection2 scopes
Retrieves a list of posts authored by a specific User by their ID.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get user public keysTWITTER_GET_USERS_PUBLIC_KEYReturns the public keys and Juicebox configuration for the specified user.Connection3 scopes
Returns the public keys and Juicebox configuration for the specified user.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get public keys for multiple usersTWITTER_GET_USERS_PUBLIC_KEYSReturns the public keys and Juicebox configuration for the specified users.Connection3 scopes
Returns the public keys and Juicebox configuration for the specified users.
Authentication
Connected account requiredScopes
dm.readtweet.readusers.readTags
Get Reposts of meTWITTER_GET_USERS_REPOSTS_OF_MERetrieves a list of Posts that repost content from the authenticated user.Connection2 scopes
Retrieves a list of Posts that repost content from the authenticated user.
Authentication
Connected account requiredScopes
timeline.readtweet.readTags
Get TimelineTWITTER_GET_USERS_TIMELINERetrieves a reverse chronological list of Posts in the authenticated User’s Timeline.Connection2 scopes
Retrieves a reverse chronological list of Posts in the authenticated User’s Timeline.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Get webhookTWITTER_GET_WEBHOOKSGet a list of webhook configs associated with a client app.Connection
Get a list of webhook configs associated with a client app.
Authentication
Connected account requiredTags
Get stream linksTWITTER_GET_WEBHOOKS_STREAM_LINKSGet a list of webhook links associated with a filtered stream ruleset.Connection
Get a list of webhook links associated with a filtered stream ruleset.
Authentication
Connected account requiredTags
Hide replyTWITTER_HIDE_POSTS_REPLYHides or unhides a reply to a conversation owned by the authenticated user.Connection3 scopes
Hides or unhides a reply to a conversation owned by the authenticated user.
Authentication
Connected account requiredScopes
tweet.moderate.writetweet.readusers.readTags
Initialize Chat GroupTWITTER_INITIALIZE_CHAT_GROUPInitializes a new XChat group conversation and returns a unique conversation ID. This endpoint is the first step in creating a group chat. The returned conversation_id should be used in subsequent calls to POST /chat/conversations/group to fully create and configure the group with members, admins, encryption keys, and other settings. **Workflow:** 1. Call this endpoint to get a `conversation_id` 2. Use that `conversation_id` when calling `POST /chat/conversations/group` to create the group **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scope: `dm.write`Connection1 scope
Initializes a new XChat group conversation and returns a unique conversation ID. This endpoint is the first step in creating a group chat. The returned conversation_id should be used in subsequent calls to POST /chat/conversations/group to fully create and configure the group with members, admins, encryption keys, and other settings. **Workflow:** 1. Call this endpoint to get a `conversation_id` 2. Use that `conversation_id` when calling `POST /chat/conversations/group` to create the group **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scope: `dm.write`
Authentication
Connected account requiredScopes
dm.writeTags
Initialize media uploadTWITTER_INITIALIZE_MEDIA_UPLOADInitializes a media upload.Connection1 scope
Initializes a media upload.
Authentication
Connected account requiredScopes
media.writeTags
Like PostTWITTER_LIKE_POSTCauses the authenticated user to Like a specific Post by its ID.Connection3 scopes
Causes the authenticated user to Like a specific Post by its ID.
Authentication
Connected account requiredScopes
like.writetweet.readusers.readTags
Mark Conversation as ReadTWITTER_MARK_CHAT_CONVERSATION_READMarks a specific Chat conversation as read on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.Connection3 scopes
Marks a specific Chat conversation as read on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Upload mediaTWITTER_MEDIA_UPLOADUploads a media file for use in posts or other content.Connection1 scope
Uploads a media file for use in posts or other content.
Authentication
Connected account requiredScopes
media.writeTags
Mute UserTWITTER_MUTE_USERCauses the authenticated user to mute a specific User by their ID.Connection3 scopes
Causes the authenticated user to mute a specific User by their ID.
Authentication
Connected account requiredScopes
mute.writetweet.readusers.readTags
Pin ListTWITTER_PIN_LISTCauses the authenticated user to pin a specific List by its ID.Connection3 scopes
Causes the authenticated user to pin a specific List by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Remove List memberTWITTER_REMOVE_LISTS_MEMBER_BY_USER_IDRemoves a User from a specific List by its ID and the User’s ID.Connection3 scopes
Removes a User from a specific List by its ID and the User’s ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Repost PostTWITTER_REPOST_POSTCauses the authenticated user to repost a specific Post by its ID.Connection3 scopes
Causes the authenticated user to repost a specific Post by its ID.
Authentication
Connected account requiredScopes
tweet.readtweet.writeusers.readTags
Search CommunitiesTWITTER_SEARCH_COMMUNITIESRetrieves a list of Communities matching the specified search query.Connection2 scopes
Retrieves a list of Communities matching the specified search query.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Search for Community Notes WrittenTWITTER_SEARCH_COMMUNITY_NOTES_WRITTENReturns all the community notes written by the user.Connection1 scope
Returns all the community notes written by the user.
Authentication
Connected account requiredScopes
tweet.readTags
Search for Posts Eligible for Community NotesTWITTER_SEARCH_ELIGIBLE_POSTSReturns all the posts that are eligible for community notes.Connection1 scope
Returns all the posts that are eligible for community notes.
Authentication
Connected account requiredScopes
tweet.readTags
Search NewsTWITTER_SEARCH_NEWSRetrieves a list of News stories matching the specified search query.Connection2 scopes
Retrieves a list of News stories matching the specified search query.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Search all PostsTWITTER_SEARCH_POSTS_ALLRetrieves Posts from the full archive matching a search query.Connection
Retrieves Posts from the full archive matching a search query.
Authentication
Connected account requiredTags
Search recent PostsTWITTER_SEARCH_POSTS_RECENTRetrieves Posts from the last 7 days matching a search query.Connection2 scopes
Retrieves Posts from the last 7 days matching a search query.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Search SpacesTWITTER_SEARCH_SPACESRetrieves a list of Spaces matching the specified search query.Connection3 scopes
Retrieves a list of Spaces matching the specified search query.
Authentication
Connected account requiredScopes
space.readtweet.readusers.readTags
Search UsersTWITTER_SEARCH_USERSRetrieves a list of Users matching a search query.Connection2 scopes
Retrieves a list of Users matching a search query.
Authentication
Connected account requiredScopes
tweet.readusers.readTags
Send Chat MessageTWITTER_SEND_CHAT_MESSAGESends an encrypted message to a specific Chat conversation. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.Connection3 scopes
Sends an encrypted message to a specific Chat conversation. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Send Typing IndicatorTWITTER_SEND_CHAT_TYPING_INDICATORSends a typing indicator to a specific Chat conversation on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.Connection3 scopes
Sends a typing indicator to a specific Chat conversation on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Stream Post labelsTWITTER_STREAM_LABELS_COMPLIANCEStreams all labeling events applied to Posts.Connection
Streams all labeling events applied to Posts.
Authentication
Connected account requiredTags
Stream Likes compliance dataTWITTER_STREAM_LIKES_COMPLIANCEStreams all compliance data related to Likes for Users.Connection
Streams all compliance data related to Likes for Users.
Authentication
Connected account requiredTags
Stream all LikesTWITTER_STREAM_LIKES_FIREHOSEStreams all public Likes in real-time.Connection
Streams all public Likes in real-time.
Authentication
Connected account requiredTags
Stream sampled LikesTWITTER_STREAM_LIKES_SAMPLE10Streams a 10% sample of public Likes in real-time.Connection
Streams a 10% sample of public Likes in real-time.
Authentication
Connected account requiredTags
Stream filtered PostsTWITTER_STREAM_POSTSStreams Posts in real-time matching the active rule set.Connection
Streams Posts in real-time matching the active rule set.
Authentication
Connected account requiredTags
Stream Posts compliance dataTWITTER_STREAM_POSTS_COMPLIANCEStreams all compliance data related to Posts.Connection
Streams all compliance data related to Posts.
Authentication
Connected account requiredTags
Stream all PostsTWITTER_STREAM_POSTS_FIREHOSEStreams all public Posts in real-time.Connection
Streams all public Posts in real-time.
Authentication
Connected account requiredTags
Stream English PostsTWITTER_STREAM_POSTS_FIREHOSE_ENStreams all public English-language Posts in real-time.Connection
Streams all public English-language Posts in real-time.
Authentication
Connected account requiredTags
Stream Japanese PostsTWITTER_STREAM_POSTS_FIREHOSE_JAStreams all public Japanese-language Posts in real-time.Connection
Streams all public Japanese-language Posts in real-time.
Authentication
Connected account requiredTags
Stream Korean PostsTWITTER_STREAM_POSTS_FIREHOSE_KOStreams all public Korean-language Posts in real-time.Connection
Streams all public Korean-language Posts in real-time.
Authentication
Connected account requiredTags
Stream Portuguese PostsTWITTER_STREAM_POSTS_FIREHOSE_PTStreams all public Portuguese-language Posts in real-time.Connection
Streams all public Portuguese-language Posts in real-time.
Authentication
Connected account requiredTags
Stream sampled PostsTWITTER_STREAM_POSTS_SAMPLEStreams a 1% sample of public Posts in real-time.Connection
Streams a 1% sample of public Posts in real-time.
Authentication
Connected account requiredTags
Stream 10% sampled PostsTWITTER_STREAM_POSTS_SAMPLE10Streams a 10% sample of public Posts in real-time.Connection
Streams a 10% sample of public Posts in real-time.
Authentication
Connected account requiredTags
Stream Users compliance dataTWITTER_STREAM_USERS_COMPLIANCEStreams all compliance data related to Users.Connection
Streams all compliance data related to Users.
Authentication
Connected account requiredTags
Unblock DMsTWITTER_UNBLOCK_USERS_DMSUnblocks direct messages to or from a specific User by their ID for the authenticated user.Connection3 scopes
Unblocks direct messages to or from a specific User by their ID for the authenticated user.
Authentication
Connected account requiredScopes
dm.writetweet.readusers.readTags
Unfollow ListTWITTER_UNFOLLOW_LISTCauses the authenticated user to unfollow a specific List by its ID.Connection3 scopes
Causes the authenticated user to unfollow a specific List by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Unfollow UserTWITTER_UNFOLLOW_USERCauses the authenticated user to unfollow a specific user by their ID.Connection3 scopes
Causes the authenticated user to unfollow a specific user by their ID.
Authentication
Connected account requiredScopes
follows.writetweet.readusers.readTags
Unlike PostTWITTER_UNLIKE_POSTCauses the authenticated user to Unlike a specific Post by its ID.Connection3 scopes
Causes the authenticated user to Unlike a specific Post by its ID.
Authentication
Connected account requiredScopes
like.writetweet.readusers.readTags
Unmute UserTWITTER_UNMUTE_USERCauses the authenticated user to unmute a specific user by their ID.Connection3 scopes
Causes the authenticated user to unmute a specific user by their ID.
Authentication
Connected account requiredScopes
mute.writetweet.readusers.readTags
Unpin ListTWITTER_UNPIN_LISTCauses the authenticated user to unpin a specific List by its ID.Connection3 scopes
Causes the authenticated user to unpin a specific List by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Unrepost PostTWITTER_UNREPOST_POSTCauses the authenticated user to unrepost a specific Post by its ID.Connection3 scopes
Causes the authenticated user to unrepost a specific Post by its ID.
Authentication
Connected account requiredScopes
tweet.readtweet.writeusers.readTags
Update X activity subscriptionTWITTER_UPDATE_ACTIVITY_SUBSCRIPTIONUpdates a subscription for an X activity eventConnection
Updates a subscription for an X activity event
Authentication
Connected account requiredTags
Update ListTWITTER_UPDATE_LISTSUpdates the details of a specific List owned by the authenticated user by its ID.Connection3 scopes
Updates the details of a specific List owned by the authenticated user by its ID.
Authentication
Connected account requiredScopes
list.writetweet.readusers.readTags
Update stream rulesTWITTER_UPDATE_RULESAdds or deletes rules from the active rule set for the filtered stream.Connection
Adds or deletes rules from the active rule set for the filtered stream.
Authentication
Connected account requiredTags
Validate subscriptionTWITTER_VALIDATE_ACCOUNT_ACTIVITY_SUBSCRIPTIONChecks a user’s Account Activity subscription for a given webhook.Connection4 scopes
Checks a user’s Account Activity subscription for a given webhook.
Authentication
Connected account requiredScopes
dm.readdm.writetweet.readusers.readTags
Validate webhookTWITTER_VALIDATE_WEBHOOKSTriggers a CRC check for a given webhook.Connection
Triggers a CRC check for a given webhook.
Authentication
Connected account requiredTags